> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an order

> The endpoint returns the order.



## OpenAPI

````yaml GET /v1/orders/{id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/orders/{id}/:
    parameters:
      - name: id
        in: path
        required: true
        description: Order ID received from the POST request
        schema:
          type: string
        example: 48427a36d43c4d5aa6324bc06c692456
    get:
      tags:
        - Orders
      summary: Retrieve an order
      description: The endpoint returns the order.
      operationId: v1_orders_read
      parameters:
        - name: certification
          in: query
          required: false
          description: >-
            Controls whether income certification data is included in the
            response. When provided, each employment, account, and income source
            in the response is annotated with a certification object containing
            the certification decision, rejection reason, rejection comment, and
            certified data fields. Additionally, the response includes
            additional_income_sources derived from individually certified bank
            deposits (e.g., gig income) that are not associated with a
            recognized income source. When omitted, the response does not
            include any certification-related fields.
          schema:
            type: string
            example: all
            enum:
              - all
              - certified
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/OrderRetrieveResponse'
                  - $ref: >-
                      #/components/schemas/OrderRetrieveWithCertificationResponse
              examples:
                default:
                  summary: Order
                  description: Response when the certification query parameter is omitted.
                  value:
                    id: 39aa1486ccca4bc19cda071ffc1ba392
                    products:
                      - income
                    source: floify
                    order_number: '1534332'
                    custom_field: string
                    client_name: Unnamed Verifications Inc.
                    first_name: John
                    last_name: Doe
                    user_id: 99dd17074ac94aa9ace2621d657c7610
                    bridge_token: e4100fccdae94691b4414c7306220c06
                    share_url: >-
                      https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392
                    created_at: '2021-04-21T21:45:14.418542Z'
                    updated_at: '2021-04-21T21:45:14.418542Z'
                    canceled_at: '2021-04-22T21:45:14.418542Z'
                    completed_at: '2021-04-22T21:45:14.418542Z'
                    expired_at: '2021-04-24T21:45:14.418542Z'
                    is_expired: true
                    user_consent_at: '2021-04-21T21:45:14.418542Z'
                    initial_order: f5dc0239e2094dbc90ab2edc1918a9df
                    refresh_order: 9b96606355b94e8abff8ed8d75aa2027
                    employers:
                      - id: ad9f14440d624ec3b0f66e81e44518c7
                        product_type: income
                        status: pending
                        suborder_number: '133982343355'
                        created_at: '2021-04-21T22:12:59.346109Z'
                        bridge_token: e4100fccdae94691b4414c7306220c06
                        link_id: e4100fccdae94691b4414c7306220c06
                        access_token: e4100fccdae94691b4414c7306220c06
                        pdf_report: https://cdn.truv.com/report.pdf
                        data_source: payroll
                        provider:
                          id: truv_api
                          name: Sandbox Provider
                          logo_url: https://cdn.truv.com/providers/truv-blue.svg
                        is_suspicious: true
                        start_date: '2019-08-24'
                        end_date: '2019-11-27'
                        company_name: Facebook Demo
                        company_address:
                          street: 1 Hacker Way
                          city: Menlo Park
                          state: CA
                          zip: '94025'
                        company_domain: facebook.com
                        company_logo: https://cdn.truv.com/company_logos/facebook.svg
                        employments:
                          - id: 24d7e80942ce4ad58a93f70ce4115f5c
                            is_active: false
                            job_title: PR associate
                            job_type: F
                            income: '70000.00'
                            income_unit: YEARLY
                            pay_rate: '6500.00'
                            pay_frequency: M
                            start_date: '2018-01-01'
                            end_date: '2026-04-23'
                            original_hire_date: '2017-06-21'
                            manager_name: Jenny McDouglas
                            company:
                              name: Facebook Demo
                              address:
                                street: 1 Morgan Ave
                                city: Los Angeles
                                state: CA
                                zip: '90210'
                                country: US
                              phone: '6503087300'
                              ein: 12-345678
                            profile:
                              id: 48427a36d43c4d5aa6324bc06c692456
                              first_name: John
                              last_name: Doe
                              full_name: John Doe
                              email: john.doe@example.com
                              date_of_birth: '1992-03-03'
                    insurance:
                      id: ad9f14440d624ec3b0f66e81e44518c7
                      product_type: insurance
                      status: pending
                      created_at: '2021-04-21T22:12:59.346109Z'
                      provider:
                        id: truv_api
                        name: Sandbox Provider
                      is_suspicious: true
                      provider_id: geico
                    manager:
                      email: john.doe@example.com
                      name: John Doe
                    financial_accounts:
                      - id: ad9f14440d624ec3b0f66e81e44518c7
                        product_type: transactions
                        status: pending
                        created_at: '2021-04-21T22:12:59.346109Z'
                        link_id: e4100fccdae94691b4414c7306220c06
                        data_source: financial_accounts
                        provider:
                          id: truv_api
                          name: Sandbox Provider
                        accounts:
                          - id: 24d7e80942ce4ad58a93f70ce4115f5c
                            type: CHECKING
                            subtype: MONEY_MARKET
                            mask: '6789'
                            balance: '5000.00'
                            owners:
                              - full_name: John Doe
                        bank_income_sources:
                          - start_date: '2022-05-04'
                            end_date: '2022-05-04'
                            account_id: 24d7e80942ce4ad58a93f70ce4115f5c
                            income_description: Paycheck
                            income_category: PAYCHECK
                            pay_frequency: SM
                            total_amount: '200.31'
                            iso_currency_code: USD
                            transaction_count: 1
                            historical_summary:
                              - start_date: '2022-05-04'
                                end_date: '2022-05-04'
                                total_amount: '200.31'
                                iso_currency_code: USD
                                transactions:
                                  - amount: '200.31'
                                    iso_currency_code: USD
                                    date: '2022-05-04'
                                    description: string
                                    pending: true
                                    transaction_id: 7d4fcb86b81a4880955beea558092391
                            avg_deposit_amount: '5000.00'
                    template_id: 9b96606355b94e8abff8ed8d75aa2027
                    short_share_url: https://truv.com/s/BIlEyh1A
                    voie_report_id: b19c454a98594b4084b71e3b62873d29
                    voa_report_id: b19c454a98594b4084b71e3b62873d29
                    income_insights_report_id: b19c454a98594b4084b71e3b62873d29
                    notes: To be processed by John Doe
                with_certification:
                  summary: Order with certification
                  description: >-
                    Response when the certification query parameter is supplied.
                    Employments and bank income sources carry certification
                    objects, and each financial account suborder includes an
                    additional_income_sources list of individually certified
                    bank deposits.
                  value:
                    id: 39aa1486ccca4bc19cda071ffc1ba392
                    products:
                      - income
                    source: floify
                    order_number: '1534332'
                    custom_field: string
                    client_name: Unnamed Verifications Inc.
                    first_name: John
                    last_name: Doe
                    user_id: 99dd17074ac94aa9ace2621d657c7610
                    bridge_token: e4100fccdae94691b4414c7306220c06
                    share_url: >-
                      https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392
                    created_at: '2021-04-21T21:45:14.418542Z'
                    updated_at: '2021-04-21T21:45:14.418542Z'
                    canceled_at: '2021-04-22T21:45:14.418542Z'
                    completed_at: '2021-04-22T21:45:14.418542Z'
                    expired_at: '2021-04-24T21:45:14.418542Z'
                    is_expired: true
                    user_consent_at: '2021-04-21T21:45:14.418542Z'
                    initial_order: f5dc0239e2094dbc90ab2edc1918a9df
                    refresh_order: 9b96606355b94e8abff8ed8d75aa2027
                    employers:
                      - id: ad9f14440d624ec3b0f66e81e44518c7
                        product_type: income
                        status: pending
                        suborder_number: '133982343355'
                        created_at: '2021-04-21T22:12:59.346109Z'
                        bridge_token: e4100fccdae94691b4414c7306220c06
                        link_id: e4100fccdae94691b4414c7306220c06
                        access_token: e4100fccdae94691b4414c7306220c06
                        pdf_report: https://cdn.truv.com/report.pdf
                        data_source: payroll
                        provider:
                          id: truv_api
                          name: Sandbox Provider
                          logo_url: https://cdn.truv.com/providers/truv-blue.svg
                        is_suspicious: true
                        start_date: '2019-08-24'
                        end_date: '2019-11-27'
                        company_name: Facebook Demo
                        company_address:
                          street: 1 Hacker Way
                          city: Menlo Park
                          state: CA
                          zip: '94025'
                        company_domain: facebook.com
                        company_logo: https://cdn.truv.com/company_logos/facebook.svg
                        employments:
                          - id: 24d7e80942ce4ad58a93f70ce4115f5c
                            is_active: false
                            job_title: PR associate
                            job_type: F
                            income: '70000.00'
                            income_unit: YEARLY
                            pay_rate: '6500.00'
                            pay_frequency: M
                            start_date: '2018-01-01'
                            end_date: '2026-04-23'
                            original_hire_date: '2017-06-21'
                            manager_name: Jenny McDouglas
                            company:
                              name: Facebook Demo
                              address:
                                street: 1 Morgan Ave
                                city: Los Angeles
                                state: CA
                                zip: '90210'
                                country: US
                              phone: '6503087300'
                              ein: 12-345678
                            profile:
                              id: 48427a36d43c4d5aa6324bc06c692456
                              first_name: John
                              last_name: Doe
                              full_name: John Doe
                              email: john.doe@example.com
                              date_of_birth: '1992-03-03'
                            certification:
                              decision: not_representative
                              rejection_reason: incorrect_amount
                              rejection_comment: Too small
                              certified_data:
                                type: self_employment
                                is_active: true
                                monthly_income: '4315.78'
                                hours_per_month: '172.00'
                    insurance:
                      id: ad9f14440d624ec3b0f66e81e44518c7
                      product_type: insurance
                      status: pending
                      created_at: '2021-04-21T22:12:59.346109Z'
                      provider:
                        id: truv_api
                        name: Sandbox Provider
                      is_suspicious: true
                      provider_id: geico
                    manager:
                      email: john.doe@example.com
                      name: John Doe
                    financial_accounts:
                      - id: ad9f14440d624ec3b0f66e81e44518c7
                        product_type: transactions
                        status: pending
                        created_at: '2021-04-21T22:12:59.346109Z'
                        link_id: e4100fccdae94691b4414c7306220c06
                        data_source: financial_accounts
                        provider:
                          id: truv_api
                          name: Sandbox Provider
                        accounts:
                          - id: 24d7e80942ce4ad58a93f70ce4115f5c
                            type: CHECKING
                            subtype: MONEY_MARKET
                            mask: '6789'
                            balance: '5000.00'
                            owners:
                              - full_name: John Doe
                            certification:
                              decision: representative
                              rejection_reason: null
                              rejection_comment: null
                              certified_data:
                                type: CHECKING
                                mask: '6789'
                                routing_number: '123456789'
                                balance: '5000.00'
                                owners:
                                  - full_name: John Doe
                        bank_income_sources:
                          - start_date: '2022-05-04'
                            end_date: '2022-05-04'
                            account_id: 24d7e80942ce4ad58a93f70ce4115f5c
                            income_description: Paycheck
                            income_category: PAYCHECK
                            pay_frequency: SM
                            total_amount: '200.31'
                            iso_currency_code: USD
                            transaction_count: 1
                            historical_summary:
                              - start_date: '2022-05-04'
                                end_date: '2022-05-04'
                                total_amount: '200.31'
                                iso_currency_code: USD
                                transactions:
                                  - amount: '200.31'
                                    iso_currency_code: USD
                                    date: '2022-05-04'
                                    description: string
                                    pending: true
                                    transaction_id: 7d4fcb86b81a4880955beea558092391
                            avg_deposit_amount: '5000.00'
                            certification:
                              decision: representative
                              rejection_reason: null
                              rejection_comment: null
                              certified_data:
                                type: self_employment
                                is_active: true
                                monthly_income: '1368.92'
                                hours_per_month: '189.00'
                        additional_income_sources:
                          - id: affa1cf25a254a789c9e9ab811577bf9
                            income_description: Side job
                            start_date: '2026-03-27'
                            end_date: '2026-03-27'
                            total_amount: '2827.84'
                            iso_currency_code: USD
                            transaction_count: 1
                            historical_summary:
                              - start_date: '2026-03-27'
                                end_date: '2026-03-27'
                                total_amount: '2827.84'
                                iso_currency_code: USD
                                transactions:
                                  - amount: '2827.84'
                                    iso_currency_code: USD
                                    date: '2026-03-27'
                                    description: Venmo
                                    pending: false
                                    transaction_id: 33c803f10ab54b499a2bbd77699b8020
                                    check_number: null
                            certification:
                              decision: representative
                              rejection_reason: null
                              rejection_comment: null
                              certified_data:
                                type: self_employment
                                is_active: true
                                monthly_income: '2827.84'
                                hours_per_month: '391'
                    template_id: 9b96606355b94e8abff8ed8d75aa2027
                    short_share_url: https://truv.com/s/BIlEyh1A
                    voie_report_id: b19c454a98594b4084b71e3b62873d29
                    voa_report_id: b19c454a98594b4084b71e3b62873d29
                    income_insights_report_id: b19c454a98594b4084b71e3b62873d29
                    notes: To be processed by John Doe
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    OrderRetrieveResponse:
      title: Order
      required:
        - id
        - first_name
        - last_name
        - user_id
        - products
        - source
        - client_name
        - share_url
        - created_at
        - expired_at
        - employers
        - is_expired
        - financial_accounts
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 39aa1486ccca4bc19cda071ffc1ba392
        products:
          description: Types of products selected for the order
          type: array
          example:
            - income
          items:
            type: string
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
        source:
          description: Type of the platform (internal, accio, etc.)
          type: string
          example: floify
          enum:
            - floify
            - besmartee
            - lenderlogix
            - encompass_consumer_connect
            - byte
            - core_logic
            - xactus
            - constellation
            - banno
            - mx
            - q2
            - clutch
            - accio
            - encompass
            - tpo_connect
            - darkmatter
            - tazworks
            - internal
            - simplenexus
            - external_webpage
            - individual
            - alkami
            - blue_sage
            - lodasoft
            - blend
            - tidalwave
            - self_signup
        order_number:
          description: External ID
          type: string
          nullable: true
          example: '1534332'
        custom_field:
          description: >-
            User provided custom field. Must be enabled in the customization
            section.
          type: string
          nullable: true
        client_name:
          description: Client name displayed on the order page
          type: string
          example: Unnamed Verifications Inc.
        first_name:
          description: First name
          type: string
          example: John
        last_name:
          description: Last name
          type: string
          example: Doe
        user_id:
          description: Unique Truv ID of the user.
          type: string
          example: 99dd17074ac94aa9ace2621d657c7610
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        share_url:
          description: Landing page URL to share
          type: string
          nullable: true
          example: >-
            https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392
        created_at:
          description: Date and time when order was created
          type: string
          format: date-time
          example: '2021-04-21T21:45:14.418542Z'
        updated_at:
          description: Date and time when order was updated
          type: string
          format: date-time
          example: '2021-04-21T21:45:14.418542Z'
        canceled_at:
          description: Date and time when order was canceled
          type: string
          format: date-time
          nullable: true
          example: '2021-04-22T21:45:14.418542Z'
        completed_at:
          description: Date and time when order was successfully completed
          type: string
          format: date-time
          nullable: true
          example: '2021-04-22T21:45:14.418542Z'
        expired_at:
          description: Date and time when order would expire
          type: string
          format: date-time
          example: '2021-04-24T21:45:14.418542Z'
        is_expired:
          description: If order is already expired
          type: boolean
        user_consent_at:
          description: Date and time when explicit user consent was given
          type: string
          format: date-time
          nullable: true
          example: '2021-04-21T21:45:14.418542Z'
        initial_order:
          description: >-
            ID of an origin order if the order was created by the order data
            refresh operation
          type: string
          nullable: true
          example: f5dc0239e2094dbc90ab2edc1918a9df
        refresh_order:
          description: >-
            ID of the last refresh order created by the order data refresh
            operation for the order
          type: string
          nullable: true
          example: 9b96606355b94e8abff8ed8d75aa2027
        employers:
          description: List of employers
          type: array
          items:
            $ref: '#/components/schemas/EmployerResponse'
        insurance:
          $ref: '#/components/schemas/InsuranceResponse'
        manager:
          type: object
          required:
            - email
          properties:
            email:
              description: Email of the order manager
              type: string
              example: john.doe@example.com
              maxLength: 255
            name:
              description: Name of the order manager
              type: string
              example: John Doe
              maxLength: 600
          nullable: true
          description: Order manager info associated with an order.
        financial_accounts:
          description: List of financial accounts
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankResponseDetailed'
        loan:
          $ref: '#/components/schemas/Loan'
        template_id:
          description: ID of the template
          type: string
          nullable: true
          example: 9b96606355b94e8abff8ed8d75aa2027
        cc_emails:
          description: >-
            A list of email addresses that will receive carbon copies (CC) of
            order status updates.
          type: array
          items:
            type: string
            format: email
          maxItems: 15
        short_share_url:
          description: Shortened verification URL to share
          type: string
          nullable: true
          example: https://truv.com/s/BIlEyh1A
        voie_report_id:
          description: GSE accepted income and employment verification report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        voa_report_id:
          description: Verification of Assets report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        income_insights_report_id:
          description: Income Insights report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        aim_check_report_id:
          description: AIM check report ID
          type: string
          nullable: true
          example: FM-1234-39aa1486ccca4bc19cda071ffc1ba392
        notes:
          description: Free text field for notes associated with the order
          type: string
          example: To be processed by John Doe
          nullable: true
          minLength: 1
          maxLength: 2000
    OrderRetrieveWithCertificationResponse:
      title: Order with certification
      description: >-
        Response returned by GET /v1/orders/{id}/ when the certification query
        parameter is supplied. Each employment and each bank income source is
        annotated with a certification object, and each financial account
        suborder includes an additional_income_sources list of individually
        certified bank deposits that are not associated with a recognized bank
        income source.
      example:
        id: 39aa1486ccca4bc19cda071ffc1ba392
        products:
          - income
        source: floify
        order_number: '1534332'
        custom_field: string
        client_name: Unnamed Verifications Inc.
        first_name: John
        last_name: Doe
        user_id: 99dd17074ac94aa9ace2621d657c7610
        bridge_token: e4100fccdae94691b4414c7306220c06
        share_url: >-
          https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392
        created_at: '2021-04-21T21:45:14.418542Z'
        updated_at: '2021-04-21T21:45:14.418542Z'
        canceled_at: '2021-04-22T21:45:14.418542Z'
        completed_at: '2021-04-22T21:45:14.418542Z'
        expired_at: '2021-04-24T21:45:14.418542Z'
        is_expired: true
        user_consent_at: '2021-04-21T21:45:14.418542Z'
        initial_order: f5dc0239e2094dbc90ab2edc1918a9df
        refresh_order: 9b96606355b94e8abff8ed8d75aa2027
        employers:
          - id: ad9f14440d624ec3b0f66e81e44518c7
            product_type: income
            status: pending
            suborder_number: '133982343355'
            created_at: '2021-04-21T22:12:59.346109Z'
            bridge_token: e4100fccdae94691b4414c7306220c06
            link_id: e4100fccdae94691b4414c7306220c06
            access_token: e4100fccdae94691b4414c7306220c06
            pdf_report: https://cdn.truv.com/report.pdf
            data_source: payroll
            provider:
              id: truv_api
              name: Sandbox Provider
              logo_url: https://cdn.truv.com/providers/truv-blue.svg
            is_suspicious: true
            start_date: '2019-08-24'
            end_date: '2019-11-27'
            company_name: Facebook Demo
            company_address:
              street: 1 Hacker Way
              city: Menlo Park
              state: CA
              zip: '94025'
            company_domain: facebook.com
            company_logo: https://cdn.truv.com/company_logos/facebook.svg
            employments:
              - income: '70000.00'
                income_unit: YEARLY
                pay_rate: '6500.00'
                pay_frequency: M
                statements:
                  - id: 24d7e80942ce4ad58a93f70ce4115f5c
                    check_number: '29205182'
                    pay_date: '2018-05-15'
                    net_pay: '11500.32'
                    net_pay_ytd: '31980.64'
                    gross_pay: '13900.11'
                    gross_pay_ytd: '49200.00'
                    bonus: '100.00'
                    commission: '12000.00'
                    hours: '40.00'
                    basis_of_pay: S
                    period_start: '2018-05-01'
                    period_end: '2018-05-15'
                    regular: '1695.11'
                    regular_ytd: '23000.00'
                    other_pay_ytd: '700.00'
                    bonus_ytd: '1000.00'
                    commission_ytd: '24000.00'
                    overtime: '45.00'
                    overtime_ytd: '500.00'
                    other_pay: '60.00'
                    earnings:
                      - name: Regular
                        amount: '1935.77'
                        category: regular
                        rate: null
                        units: null
                      - name: Overtime
                        amount: '60.58'
                        category: overtime
                        rate: '30.29'
                        units: '2'
                    earnings_ytd:
                      - name: Regular
                        amount: '1935.77'
                        category: regular
                        rate: null
                        units: null
                      - name: Overtime
                        amount: '60.58'
                        category: overtime
                        rate: '30.29'
                        units: '2'
                    deductions:
                      - name: Social Security Tax
                        amount: '127.01'
                        category: socialsec
                      - name: VA State Income Tax
                        amount: '46.23'
                        category: state
                      - name: Medicare Tax
                        amount: '29.7'
                        category: medicare
                    deductions_ytd:
                      - name: Social Security Tax
                        amount: '127.01'
                        category: socialsec
                      - name: VA State Income Tax
                        amount: '46.23'
                        category: state
                      - name: Medicare Tax
                        amount: '29.7'
                        category: medicare
                    md5sum: 03639d6a6624f69a54a88ea90bd25e9d
                    file: https://cdn.truv.com/paystub_sample.pdf
                    derived_fields:
                      - basis_of_pay
                    missing_data_fields:
                      - earnings_ytd
                annual_income_summary:
                  - id: 24d7e80942ce4ad58a93f70ce4115f5c
                    year: 2018
                    regular: '23000.00'
                    bonus: '1000.00'
                    commission: '24000.00'
                    overtime: '500.00'
                    other_pay: '700.00'
                    net_pay: '31980.64'
                    gross_pay: '49200.00'
                bank_accounts:
                  - account_number: '1234567890'
                    routing_number: '123456789'
                    account_name: My Bank
                    account_type: C
                    deposit_type: A
                    deposit_value: '200.00'
                    bank_name: TD Bank
                w2s:
                  - file: https://cdn.truv.com/W2_sample.pdf
                    md5sum: f65e30c39124ad707ac4b3aeaee923a7
                    year: 2020
                    wages: '900.50'
                    federal_tax: '75.01'
                    social_security_wages: '900.50'
                    social_security_tax: '56.30'
                    medicare_wages: '900.50'
                    medicare_tax: '13.15'
                    gross_pay: '18211.48'
                id: 24d7e80942ce4ad58a93f70ce4115f5c
                is_active: false
                job_title: PR associate
                job_type: F
                start_date: '2018-01-01'
                original_hire_date: '2017-06-21'
                end_date: '2026-04-23'
                external_last_updated: '2026-04-23'
                dates_from_statements: false
                derived_fields:
                  - is_active
                missing_data_fields:
                  - w2s
                manager_name: Jenny McDouglas
                profile:
                  id: 48427a36d43c4d5aa6324bc06c692456
                  created_at: '2022-06-07T15:00:00Z'
                  updated_at: '2022-06-30T15:00:00Z'
                  first_name: John
                  last_name: Doe
                  full_name: John Doe
                  middle_initials: K
                  email: john.doe@example.com
                  ssn: '123456789'
                  date_of_birth: '1992-03-03'
                  home_address:
                    street: 1 Morgan Ave
                    city: Los Angeles
                    state: CA
                    zip: '90210'
                    country: US
                company:
                  name: Facebook Demo
                  address:
                    street: 1 Morgan Ave
                    city: Los Angeles
                    state: CA
                    zip: '90210'
                    country: US
                  phone: '6503087300'
                  ein: 12-345678
                certification:
                  decision: not_representative
                  rejection_reason: incorrect_amount
                  rejection_comment: Too small
                  certified_data:
                    type: self_employment
                    is_active: true
                    monthly_income: '4315.78'
                    hours_per_month: '172.00'
        insurance:
          id: ad9f14440d624ec3b0f66e81e44518c7
          product_type: insurance
          status: pending
          suborder_number: '133982343355'
          created_at: '2021-04-21T22:12:59.346109Z'
          bridge_token: e4100fccdae94691b4414c7306220c06
          link_id: e4100fccdae94691b4414c7306220c06
          access_token: e4100fccdae94691b4414c7306220c06
          pdf_report: https://cdn.truv.com/report.pdf
          data_source: insurance
          provider:
            id: truv_api
            name: Sandbox Provider
            logo_url: https://cdn.truv.com/providers/truv-blue.svg
          is_suspicious: true
          provider_id: geico
        manager:
          email: john.doe@example.com
          name: John Doe
        financial_accounts:
          - id: ad9f14440d624ec3b0f66e81e44518c7
            product_type: transactions
            status: pending
            suborder_number: '133982343355'
            created_at: '2021-04-21T22:12:59.346109Z'
            bridge_token: e4100fccdae94691b4414c7306220c06
            link_id: e4100fccdae94691b4414c7306220c06
            access_token: e4100fccdae94691b4414c7306220c06
            pdf_report: https://cdn.truv.com/report.pdf
            data_source: financial_accounts
            provider:
              id: truv_api
              name: Sandbox Provider
              logo_url: https://cdn.truv.com/providers/truv-blue.svg
            is_suspicious: true
            accounts:
              - id: 24d7e80942ce4ad58a93f70ce4115f5c
                type: CHECKING
                subtype: MONEY_MARKET
                mask: '6789'
                balance: '5000.00'
                owners:
                  - full_name: John Doe
                certification:
                  decision: representative
                  rejection_reason: null
                  rejection_comment: null
                  certified_data:
                    type: CHECKING
                    mask: '6789'
                    routing_number: '123456789'
                    balance: '5000.00'
                    owners:
                      - full_name: John Doe
            bank_income_sources:
              - start_date: '2022-05-04'
                end_date: '2022-05-04'
                account_id: 24d7e80942ce4ad58a93f70ce4115f5c
                income_description: Paycheck
                income_category: PAYCHECK
                pay_frequency: SM
                next_payment_date: '2022-06-01'
                total_amount: '200.31'
                iso_currency_code: USD
                transaction_count: 1
                historical_summary:
                  - start_date: '2022-05-04'
                    end_date: '2022-05-04'
                    total_amount: '200.31'
                    iso_currency_code: USD
                    transactions:
                      - amount: '200.31'
                        iso_currency_code: USD
                        date: '2022-05-04'
                        check_number: string
                        description: string
                        pending: true
                        transaction_id: 7d4fcb86b81a4880955beea558092391
                historical_average_monthly_income: '10000.00'
                historical_average_monthly_gross_income: '12000.00'
                forecasted_average_monthly_income: '10000.00'
                avg_deposit_amount: '5000.00'
                avg_gross_deposit_amount: '6000.00'
                employer:
                  id: meta
                  name: Meta
                  logo_url: string
                certification:
                  decision: representative
                  rejection_reason: null
                  rejection_comment: null
                  certified_data:
                    type: self_employment
                    is_active: true
                    monthly_income: '1368.92'
                    hours_per_month: '189.00'
            additional_income_sources:
              - id: affa1cf25a254a789c9e9ab811577bf9
                income_description: Side job
                start_date: '2026-03-27'
                end_date: '2026-03-27'
                total_amount: '2827.84'
                iso_currency_code: USD
                transaction_count: 1
                historical_summary:
                  - start_date: '2026-03-27'
                    end_date: '2026-03-27'
                    total_amount: '2827.84'
                    iso_currency_code: USD
                    transactions:
                      - amount: '2827.84'
                        iso_currency_code: USD
                        date: '2026-03-27'
                        description: Venmo
                        pending: false
                        transaction_id: 33c803f10ab54b499a2bbd77699b8020
                        check_number: null
                certification:
                  decision: representative
                  rejection_reason: null
                  rejection_comment: null
                  certified_data:
                    type: self_employment
                    is_active: true
                    monthly_income: '2827.84'
                    hours_per_month: '391'
        loan:
          loan_number: MUUT220700012
          originator_name: John Doe
          originator_email: john@example.com
          loan_processor_name: John Doe
          loan_processor_email: john@doe.com
          external_id: c505e0f1b4134fdc853fc87e7d2cc4a5
        template_id: 9b96606355b94e8abff8ed8d75aa2027
        cc_emails:
          - user@example.com
        short_share_url: https://truv.com/s/BIlEyh1A
        voie_report_id: b19c454a98594b4084b71e3b62873d29
        voa_report_id: b19c454a98594b4084b71e3b62873d29
        income_insights_report_id: b19c454a98594b4084b71e3b62873d29
        aim_check_report_id: FM-1234-39aa1486ccca4bc19cda071ffc1ba392
        notes: To be processed by John Doe
      required:
        - id
        - first_name
        - last_name
        - user_id
        - products
        - source
        - client_name
        - share_url
        - created_at
        - expired_at
        - employers
        - is_expired
        - financial_accounts
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 39aa1486ccca4bc19cda071ffc1ba392
        products:
          description: Types of products selected for the order
          type: array
          example:
            - income
          items:
            type: string
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
        source:
          description: Type of the platform (internal, accio, etc.)
          type: string
          example: floify
          enum:
            - floify
            - besmartee
            - lenderlogix
            - encompass_consumer_connect
            - byte
            - core_logic
            - xactus
            - constellation
            - banno
            - mx
            - q2
            - clutch
            - accio
            - encompass
            - tpo_connect
            - darkmatter
            - tazworks
            - internal
            - simplenexus
            - external_webpage
            - individual
            - alkami
            - blue_sage
            - lodasoft
            - blend
            - tidalwave
            - self_signup
        order_number:
          description: External ID
          type: string
          nullable: true
          example: '1534332'
        custom_field:
          description: >-
            User provided custom field. Must be enabled in the customization
            section.
          type: string
          nullable: true
        client_name:
          description: Client name displayed on the order page
          type: string
          example: Unnamed Verifications Inc.
        first_name:
          description: First name
          type: string
          example: John
        last_name:
          description: Last name
          type: string
          example: Doe
        user_id:
          description: Unique Truv ID of the user.
          type: string
          example: 99dd17074ac94aa9ace2621d657c7610
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        share_url:
          description: Landing page URL to share
          type: string
          nullable: true
          example: >-
            https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392
        created_at:
          description: Date and time when order was created
          type: string
          format: date-time
          example: '2021-04-21T21:45:14.418542Z'
        updated_at:
          description: Date and time when order was updated
          type: string
          format: date-time
          example: '2021-04-21T21:45:14.418542Z'
        canceled_at:
          description: Date and time when order was canceled
          type: string
          format: date-time
          nullable: true
          example: '2021-04-22T21:45:14.418542Z'
        completed_at:
          description: Date and time when order was successfully completed
          type: string
          format: date-time
          nullable: true
          example: '2021-04-22T21:45:14.418542Z'
        expired_at:
          description: Date and time when order would expire
          type: string
          format: date-time
          example: '2021-04-24T21:45:14.418542Z'
        is_expired:
          description: If order is already expired
          type: boolean
        user_consent_at:
          description: Date and time when explicit user consent was given
          type: string
          format: date-time
          nullable: true
          example: '2021-04-21T21:45:14.418542Z'
        initial_order:
          description: >-
            ID of an origin order if the order was created by the order data
            refresh operation
          type: string
          nullable: true
          example: f5dc0239e2094dbc90ab2edc1918a9df
        refresh_order:
          description: >-
            ID of the last refresh order created by the order data refresh
            operation for the order
          type: string
          nullable: true
          example: 9b96606355b94e8abff8ed8d75aa2027
        employers:
          description: List of employers with certification-annotated employments.
          type: array
          items:
            $ref: '#/components/schemas/EmployerWithCertificationResponse'
        insurance:
          $ref: '#/components/schemas/InsuranceResponse'
        manager:
          type: object
          required:
            - email
          properties:
            email:
              description: Email of the order manager
              type: string
              example: john.doe@example.com
              maxLength: 255
            name:
              description: Name of the order manager
              type: string
              example: John Doe
              maxLength: 600
          nullable: true
          description: Order manager info associated with an order.
        financial_accounts:
          description: >-
            List of financial accounts with certification-annotated bank income
            sources and additional income sources.
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankWithCertificationResponse'
        loan:
          $ref: '#/components/schemas/Loan'
        template_id:
          description: ID of the template
          type: string
          nullable: true
          example: 9b96606355b94e8abff8ed8d75aa2027
        cc_emails:
          description: >-
            A list of email addresses that will receive carbon copies (CC) of
            order status updates.
          type: array
          items:
            type: string
            format: email
          maxItems: 15
        short_share_url:
          description: Shortened verification URL to share
          type: string
          nullable: true
          example: https://truv.com/s/BIlEyh1A
        voie_report_id:
          description: GSE accepted income and employment verification report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        voa_report_id:
          description: Verification of Assets report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        income_insights_report_id:
          description: Income Insights report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        aim_check_report_id:
          description: AIM check report ID
          type: string
          nullable: true
          example: FM-1234-39aa1486ccca4bc19cda071ffc1ba392
        notes:
          description: Free text field for notes associated with the order
          type: string
          example: To be processed by John Doe
          nullable: true
          minLength: 1
          maxLength: 2000
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    EmployerResponse:
      required:
        - id
        - status
        - created_at
        - employments
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - income
            - employment
            - deposit_switch
            - pll
          example: income
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - payroll
            - docs
            - tax
            - financial_accounts
            - null
          nullable: true
          example: payroll
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
          nullable: true
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        start_date:
          description: Employment start date
          type: string
          example: '2019-08-24'
          nullable: true
        end_date:
          description: Employment start date
          type: string
          example: '2019-11-27'
          nullable: true
        company_name:
          description: Company name
          type: string
          example: Facebook Demo
          nullable: true
        company_address:
          description: Company address
          required:
            - street
            - city
            - state
            - zip
          type: object
          nullable: true
          properties:
            street:
              description: Company location street
              type: string
              example: 1 Hacker Way
            city:
              description: Company location city
              type: string
              example: Menlo Park
            state:
              description: Company location state
              type: string
              example: CA
            zip:
              description: Company location zip code
              type: string
              example: '94025'
        company_domain:
          description: Company website domain
          type: string
          nullable: true
          example: facebook.com
        company_logo:
          description: Company logo URL
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/company_logos/facebook.svg
        employments:
          description: List of employments
          type: array
          nullable: true
          items:
            type: object
            properties:
              income:
                description: >-
                  Income amount not including commission or bonuses (only for
                  income product)
                type: string
                format: decimal
                nullable: true
                example: '70000.00'
              income_unit:
                description: |-

                  The pay interval the income field refers to:

                  * `YEARLY` - Annual income,
                  * `MONTHLY` - Monthly income,
                  * `WEEKLY` - Weekly income,
                  * `DAILY` - Daily income,
                  * `HOURLY` - Hourly income

                   (only for income product)
                type: string
                example: YEARLY
                enum:
                  - YEARLY
                  - MONTHLY
                  - WEEKLY
                  - DAILY
                  - HOURLY
                  - null
                nullable: true
              pay_rate:
                description: Payment rate per pay cycle (only for income product)
                type: string
                format: decimal
                nullable: true
                example: '6500.00'
              pay_frequency:
                description: |-

                  Pay frequency:

                  * `M` - Monthly,
                  * `SM` - Semi-Monthly,
                  * `W` - Weekly,
                  * `BW` - Bi-Weekly,
                  * `A` - Annually,
                  * `SA` - Semiannually,
                  * `C` - Commission

                   (only for income product)
                type: string
                nullable: true
                example: M
                enum:
                  - M
                  - SM
                  - W
                  - BW
                  - A
                  - SA
                  - C
                  - null
              statements:
                description: >-
                  List of paystubs received from a payroll provider (only for
                  income product)
                type: array
                items:
                  $ref: '#/components/schemas/Statement'
                readOnly: true
              annual_income_summary:
                description: Annual income summary by years (only for income product)
                type: array
                items:
                  $ref: '#/components/schemas/AnnualIncomeSummary'
                readOnly: true
              bank_accounts:
                description: >-
                  List of bank accounts linked to the employment (only for
                  income product)
                type: array
                items:
                  $ref: '#/components/schemas/BankAccount'
                readOnly: true
              w2s:
                description: >-
                  List of W-2 forms linked to the employment (only for income
                  product)
                type: array
                items:
                  $ref: '#/components/schemas/TaxDocumentW2'
                readOnly: true
              id:
                description: Unique ID
                type: string
                example: 24d7e80942ce4ad58a93f70ce4115f5c
              is_active:
                description: Indicates whether the employment is still active
                type: boolean
                nullable: true
                example: false
              job_title:
                description: Employee's job title
                type: string
                nullable: true
                example: PR associate
              job_type:
                description: |+

                  Employee's job type:

                  * `F` - Full Time,
                  * `P` - Part Time,
                  * `S` - Seasonal,
                  * `D` - Daily (per diem),
                  * `C` - Contract,
                  * `V` - Volunteer

                type: string
                example: F
                enum:
                  - F
                  - P
                  - S
                  - D
                  - C
                  - V
                  - null
                nullable: true
              start_date:
                description: Employee's hire date
                type: string
                format: date
                example: '2018-01-01'
                nullable: true
              original_hire_date:
                description: Original hire date
                type: string
                nullable: true
                format: date
                example: '2017-06-21'
              end_date:
                description: Employee's end date
                type: string
                format: date
                nullable: true
              external_last_updated:
                description: >-
                  Indicates the date when employment data was last updated on
                  the Payroll Provider side
                type: string
                nullable: true
                format: date
              dates_from_statements:
                description: >-
                  Indicates whether or not the Employee's hire and/or end dates
                  were derived from first/last pay statements **(Deprecated)**
                type: boolean
                example: false
              derived_fields:
                description: Array of derived fields
                type: array
                items:
                  type: string
                example:
                  - is_active
              missing_data_fields:
                description: >-
                  List of the data fields which are missing in the payroll API
                  response
                type: array
                items:
                  type: string
                example:
                  - w2s
              manager_name:
                description: Supervisor's name
                type: string
                nullable: true
                example: Jenny McDouglas
              profile:
                $ref: '#/components/schemas/Profile'
              company:
                $ref: '#/components/schemas/Company'
            required:
              - id
              - profile
              - company
    InsuranceResponse:
      required:
        - id
        - status
        - created_at
      type: object
      nullable: true
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - insurance
          example: insurance
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          nullable: true
          enum:
            - insurance
            - docs
            - null
          example: insurance
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
          nullable: true
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        provider_id:
          description: Pre-selected ID of a insurance provider
          type: string
          nullable: true
          example: geico
      description: Insurance verification meta data
    BankResponseDetailed:
      required:
        - id
        - status
        - created_at
      type: object
      description: Bank transactions meta data with income sources
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - transactions
            - assets
          example: transactions
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - financial_accounts
            - null
          nullable: true
          example: financial_accounts
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          nullable: true
          properties:
            id:
              description: Provider id
              type: string
              nullable: true
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        accounts:
          description: List of bank accounts
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankResponseAccount'
        bank_income_sources:
          description: List of bank income sources derived from transaction data.
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankIncomeInsightsSource'
    Loan:
      required:
        - loan_number
      type: object
      nullable: true
      properties:
        loan_number:
          description: Loan identifier
          type: string
          example: MUUT220700012
          maxLength: 128
        originator_name:
          description: Name of the loan originator
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        originator_email:
          description: Email of the loan originator
          type: string
          format: email
          example: john@example.com
          maxLength: 255
          nullable: true
        loan_processor_name:
          description: Name of the loan processor
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        loan_processor_email:
          description: Email of the loan processor
          type: string
          format: email
          example: john@doe.com
          maxLength: 255
          nullable: true
        external_id:
          description: External loan ID
          type: string
          nullable: true
          example: c505e0f1b4134fdc853fc87e7d2cc4a5
      description: Loan Information
    EmployerWithCertificationResponse:
      description: >-
        Employer suborder where each employment item is annotated with income
        certification data.
      required:
        - id
        - status
        - created_at
        - employments
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - income
            - employment
            - deposit_switch
            - pll
          example: income
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - payroll
            - docs
            - tax
            - financial_accounts
            - null
          nullable: true
          example: payroll
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          properties:
            id:
              description: Provider id
              type: string
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
          nullable: true
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        start_date:
          description: Employment start date
          type: string
          example: '2019-08-24'
          nullable: true
        end_date:
          description: Employment start date
          type: string
          example: '2019-11-27'
          nullable: true
        company_name:
          description: Company name
          type: string
          example: Facebook Demo
          nullable: true
        company_address:
          description: Company address
          required:
            - street
            - city
            - state
            - zip
          type: object
          nullable: true
          properties:
            street:
              description: Company location street
              type: string
              example: 1 Hacker Way
            city:
              description: Company location city
              type: string
              example: Menlo Park
            state:
              description: Company location state
              type: string
              example: CA
            zip:
              description: Company location zip code
              type: string
              example: '94025'
        company_domain:
          description: Company website domain
          type: string
          nullable: true
          example: facebook.com
        company_logo:
          description: Company logo URL
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/company_logos/facebook.svg
        employments:
          description: >-
            List of employments. Each item is annotated with a certification
            object.
          type: array
          nullable: true
          items:
            type: object
            properties:
              income:
                description: >-
                  Income amount not including commission or bonuses (only for
                  income product)
                type: string
                format: decimal
                nullable: true
                example: '70000.00'
              income_unit:
                description: |-

                  The pay interval the income field refers to:

                  * `YEARLY` - Annual income,
                  * `MONTHLY` - Monthly income,
                  * `WEEKLY` - Weekly income,
                  * `DAILY` - Daily income,
                  * `HOURLY` - Hourly income

                   (only for income product)
                type: string
                example: YEARLY
                enum:
                  - YEARLY
                  - MONTHLY
                  - WEEKLY
                  - DAILY
                  - HOURLY
                  - null
                nullable: true
              pay_rate:
                description: Payment rate per pay cycle (only for income product)
                type: string
                format: decimal
                nullable: true
                example: '6500.00'
              pay_frequency:
                description: |-

                  Pay frequency:

                  * `M` - Monthly,
                  * `SM` - Semi-Monthly,
                  * `W` - Weekly,
                  * `BW` - Bi-Weekly,
                  * `A` - Annually,
                  * `SA` - Semiannually,
                  * `C` - Commission

                   (only for income product)
                type: string
                nullable: true
                example: M
                enum:
                  - M
                  - SM
                  - W
                  - BW
                  - A
                  - SA
                  - C
                  - null
              statements:
                description: >-
                  List of paystubs received from a payroll provider (only for
                  income product)
                type: array
                items:
                  $ref: '#/components/schemas/Statement'
                readOnly: true
              annual_income_summary:
                description: Annual income summary by years (only for income product)
                type: array
                items:
                  $ref: '#/components/schemas/AnnualIncomeSummary'
                readOnly: true
              bank_accounts:
                description: >-
                  List of bank accounts linked to the employment (only for
                  income product)
                type: array
                items:
                  $ref: '#/components/schemas/BankAccount'
                readOnly: true
              w2s:
                description: >-
                  List of W-2 forms linked to the employment (only for income
                  product)
                type: array
                items:
                  $ref: '#/components/schemas/TaxDocumentW2'
                readOnly: true
              id:
                description: Unique ID
                type: string
                example: 24d7e80942ce4ad58a93f70ce4115f5c
              is_active:
                description: Indicates whether the employment is still active
                type: boolean
                nullable: true
                example: false
              job_title:
                description: Employee's job title
                type: string
                nullable: true
                example: PR associate
              job_type:
                description: |+

                  Employee's job type:

                  * `F` - Full Time,
                  * `P` - Part Time,
                  * `S` - Seasonal,
                  * `D` - Daily (per diem),
                  * `C` - Contract,
                  * `V` - Volunteer

                type: string
                example: F
                enum:
                  - F
                  - P
                  - S
                  - D
                  - C
                  - V
                  - null
                nullable: true
              start_date:
                description: Employee's hire date
                type: string
                format: date
                example: '2018-01-01'
                nullable: true
              original_hire_date:
                description: Original hire date
                type: string
                nullable: true
                format: date
                example: '2017-06-21'
              end_date:
                description: Employee's end date
                type: string
                format: date
                nullable: true
              external_last_updated:
                description: >-
                  Indicates the date when employment data was last updated on
                  the Payroll Provider side
                type: string
                nullable: true
                format: date
              dates_from_statements:
                description: >-
                  Indicates whether or not the Employee's hire and/or end dates
                  were derived from first/last pay statements **(Deprecated)**
                type: boolean
                example: false
              derived_fields:
                description: Array of derived fields
                type: array
                items:
                  type: string
                example:
                  - is_active
              missing_data_fields:
                description: >-
                  List of the data fields which are missing in the payroll API
                  response
                type: array
                items:
                  type: string
                example:
                  - w2s
              manager_name:
                description: Supervisor's name
                type: string
                nullable: true
                example: Jenny McDouglas
              profile:
                $ref: '#/components/schemas/Profile'
              company:
                $ref: '#/components/schemas/Company'
              certification:
                $ref: '#/components/schemas/Certification'
            required:
              - id
              - profile
              - company
    BankWithCertificationResponse:
      description: >-
        Bank transactions suborder with certification annotations on each bank
        income source and an additional_income_sources list of individually
        certified deposits.
      required:
        - id
        - status
        - created_at
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: ad9f14440d624ec3b0f66e81e44518c7
        product_type:
          description: Type of the product.
          type: string
          enum:
            - transactions
            - assets
          example: transactions
        status:
          description: Order status
          type: string
          enum:
            - pending
            - sent
            - completed
            - error
            - canceled
            - expired
            - no_data
            - skipped
          example: pending
        suborder_number:
          description: External ID
          type: string
          nullable: true
          example: '133982343355'
        created_at:
          description: Date and time when order was created
          type: string
          example: '2021-04-21T22:12:59.346109Z'
        bridge_token:
          description: UUID value of bridge token
          type: string
          example: e4100fccdae94691b4414c7306220c06
        link_id:
          description: Link ID for the connected account
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        access_token:
          description: Access token to perform data refresh
          type: string
          nullable: true
          example: e4100fccdae94691b4414c7306220c06
        pdf_report:
          description: Verification report in PDF format
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/report.pdf
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - financial_accounts
            - null
          nullable: true
          example: financial_accounts
        provider:
          description: Payroll or insurance provider
          required:
            - id
            - name
          type: object
          nullable: true
          properties:
            id:
              description: Provider id
              type: string
              nullable: true
              example: truv_api
            name:
              description: Provider name
              type: string
              example: Sandbox Provider
            logo_url:
              description: Provider logo url
              type: string
              nullable: true
              format: uri
              example: https://cdn.truv.com/providers/truv-blue.svg
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        accounts:
          description: List of bank accounts, each annotated with a certification object.
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankResponseAccountWithCertification'
        bank_income_sources:
          description: >-
            List of bank income sources derived from transaction data, each
            annotated with a certification object.
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/BankIncomeInsightsSourceWithCertification'
        additional_income_sources:
          description: >-
            Income sources assembled from individually certified bank deposits
            that are not associated with a recognized bank income source.
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/AdditionalIncomeSource'
    Statement:
      required:
        - pay_date
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        check_number:
          description: External ID of pay stub from the payroll provider
          type: string
          format: string
          nullable: true
          example: '29205182'
        pay_date:
          description: Pay Date
          type: string
          format: date
          example: '2018-05-15'
        net_pay:
          description: Net pay
          type: string
          format: decimal
          nullable: true
          example: '11500.32'
        net_pay_ytd:
          description: Net pay year to date
          type: string
          format: decimal
          nullable: true
          example: '31980.64'
        gross_pay:
          description: Gross pay
          type: string
          format: decimal
          nullable: true
          example: '13900.11'
        gross_pay_ytd:
          description: Gross pay year to date
          type: string
          format: decimal
          nullable: true
          example: '49200.00'
        bonus:
          description: Bonus
          type: string
          format: decimal
          nullable: true
          example: '100.00'
        commission:
          description: Commission
          type: string
          format: decimal
          nullable: true
          example: '12000.00'
        hours:
          description: Work hours during a pay period
          type: string
          format: decimal
          nullable: true
          example: '40.00'
        basis_of_pay:
          description: |+

            Basis of pay:

            * `S` - Salary,
            * `H` - Hourly,
            * `D` - Daily,
            * `W` - Weekly,
            * `M` - Monthly,
            * `C` - Contract,

          type: string
          enum:
            - S
            - H
            - D
            - W
            - M
            - null
          nullable: true
          example: S
        period_start:
          description: Period start
          type: string
          format: date
          nullable: true
          example: '2018-05-01'
        period_end:
          description: Period end
          type: string
          format: date
          nullable: true
          example: '2018-05-15'
        regular:
          description: Regular pay
          type: string
          format: decimal
          nullable: true
          example: '1695.11'
        regular_ytd:
          description: Regular salary year to date
          type: string
          format: decimal
          nullable: true
          example: '23000.00'
        other_pay_ytd:
          description: All other pays year to date
          type: string
          format: decimal
          nullable: true
          example: '700.00'
        bonus_ytd:
          description: Bonus year to date
          type: string
          format: decimal
          nullable: true
          example: '1000.00'
        commission_ytd:
          description: Commission year to date
          type: string
          format: decimal
          nullable: true
          example: '24000.00'
        overtime:
          description: Overtime pay
          type: string
          format: decimal
          nullable: true
          example: '45.00'
        overtime_ytd:
          description: Overtime pay year to date
          type: string
          format: decimal
          nullable: true
          example: '500.00'
        other_pay:
          description: All other pays
          type: string
          format: decimal
          nullable: true
          example: '60.00'
        earnings:
          description: Earnings for this pay cycle by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of earnings
                type: string
                example: Regular
              amount:
                description: Amount of earnings
                type: string
                format: decimal
                example: '1935.77'
              category:
                description: Category of earnings
                type: string
                enum:
                  - regular
                  - overtime
                  - bonus
                  - commission
                  - other_pay
                example: regular
              rate:
                description: Rate of earnings
                type: string
                format: decimal
                nullable: true
              units:
                description: Units of earnings
                type: string
                format: decimal
                nullable: true
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Regular
              amount: '1935.77'
              category: regular
              rate: null
              units: null
            - name: Overtime
              amount: '60.58'
              category: overtime
              rate: '30.29'
              units: '2'
        earnings_ytd:
          description: Earnings year to date by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of earnings
                type: string
                example: Regular
              amount:
                description: Amount of earnings
                type: string
                format: decimal
                example: '1935.77'
              category:
                description: Category of earnings
                type: string
                enum:
                  - regular
                  - overtime
                  - bonus
                  - commission
                  - other_pay
                example: regular
              rate:
                description: Rate of earnings
                type: string
                format: decimal
                nullable: true
              units:
                description: Units of earnings
                type: string
                format: decimal
                nullable: true
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Regular
              amount: '1935.77'
              category: regular
              rate: null
              units: null
            - name: Overtime
              amount: '60.58'
              category: overtime
              rate: '30.29'
              units: '2'
        deductions:
          description: Deductions for this pay cycle by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of the deduction
                type: string
                example: Social Security Tax
              amount:
                description: Amount of the deduction
                type: string
                format: decimal
                example: '127.01'
              category:
                description: Category of the deduction
                type: string
                enum:
                  - memo
                  - medicare
                  - retirement
                  - socialsec
                  - federal
                  - state
                  - benefit
                  - garnishment
                  - local
                  - other
                example: socialsec
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Social Security Tax
              amount: '127.01'
              category: socialsec
            - name: VA State Income Tax
              amount: '46.23'
              category: state
            - name: Medicare Tax
              amount: '29.7'
              category: medicare
        deductions_ytd:
          description: Deductions year to date by type
          type: array
          items:
            type: object
            properties:
              name:
                description: Name of the deduction
                type: string
                example: Social Security Tax
              amount:
                description: Amount of the deduction
                type: string
                format: decimal
                example: '127.01'
              category:
                description: Category of the deduction
                type: string
                enum:
                  - memo
                  - medicare
                  - retirement
                  - socialsec
                  - federal
                  - state
                  - benefit
                  - garnishment
                  - local
                  - other
                example: socialsec
            required:
              - name
              - amount
              - category
          nullable: true
          example:
            - name: Social Security Tax
              amount: '127.01'
              category: socialsec
            - name: VA State Income Tax
              amount: '46.23'
              category: state
            - name: Medicare Tax
              amount: '29.7'
              category: medicare
        md5sum:
          description: MD5 hash value computed based on the file content
          type: string
          format: string
          nullable: true
          example: 03639d6a6624f69a54a88ea90bd25e9d
        file:
          description: Link to a pay stub file (format is specified in the content-type)
          type: string
          format: uri
          nullable: true
          example: https://cdn.truv.com/paystub_sample.pdf
        derived_fields:
          description: Array of derived fields
          type: array
          items:
            type: string
          example:
            - basis_of_pay
        missing_data_fields:
          description: >-
            List of the data fields which are missing in the payroll API
            response
          type: array
          items:
            type: string
          example:
            - earnings_ytd
      description: Pay stub data
    AnnualIncomeSummary:
      required:
        - id
        - year
      type: object
      properties:
        id:
          description: Unique ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        year:
          description: Income report year
          type: integer
          example: 2018
        regular:
          description: Regular salary
          type: string
          format: decimal
          nullable: true
          example: '23000.00'
        bonus:
          description: Bonus
          type: string
          format: decimal
          nullable: true
          example: '1000.00'
        commission:
          description: Commission
          type: string
          format: decimal
          nullable: true
          example: '24000.00'
        overtime:
          description: Overtime pay
          type: string
          format: decimal
          nullable: true
          example: '500.00'
        other_pay:
          description: All other pays
          type: string
          format: decimal
          nullable: true
          example: '700.00'
        net_pay:
          description: Net pay
          type: string
          format: decimal
          nullable: true
          example: '31980.64'
        gross_pay:
          description: Gross pay
          type: string
          format: decimal
          nullable: true
          example: '49200.00'
      description: Annual income summary
    BankAccount:
      required:
        - account_number
      type: object
      properties:
        account_number:
          description: Account number
          type: string
          example: '1234567890'
        routing_number:
          description: Routing number
          type: string
          example: '123456789'
        account_name:
          description: User friendly account name
          type: string
          nullable: true
          example: My Bank
        account_type:
          description: |+

            Account type:

            * `C` - Checking account,
            * `S` - Savings account,

          type: string
          enum:
            - C
            - S
            - null
          nullable: true
          example: C
        deposit_type:
          description: |+

            Deposit type:

            * `E` - Entire paycheck,
            * `P` - Percentage of the paycheck,
            * `A` - Fixed amount from the paycheck,

          type: string
          enum:
            - E
            - P
            - A
            - null
          nullable: true
          example: A
        deposit_value:
          description: Deposit value
          type: string
[...]
